package com.ym.mec.biz.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.SysCoupon;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

public interface SysCouponDao extends BaseDAO<Integer, SysCoupon> {

    SysCoupon lockCoupon(@Param("id") Integer id);

    int updateExchange(@Param("param") Map<String, Object> param);
	
}
